Exportar calendario y contactos de Google y Microsoft
Módulo 5: Agenda y contactos · Tiempo de lectura: 12 minutos
Objetivo de aprendizaje: Después de esta lección podrá realizar una exportación completa y utilizable de calendarios y contactos desde Google y Microsoft, leer un archivo ICS y vCard, y sabrá qué no se traslada o se traslada de forma distinta al exportar.
Conceptos clave: iCalendar (ICS), VCALENDAR, VEVENT, UID, DTSTART, RRULE, EXDATE, VTIMEZONE y TZID, ORGANIZER y ATTENDEE, VALARM, vCard (VCF) 3.0 y 4.0, csv, Google Takeout, herramienta de migración
Dos formatos de archivo que casi todo el mundo conoce
Los calendarios y los contactos se trasladan con dos formatos abiertos:
- iCalendar, archivos con la extensión
.ics(RFC 5545), para calendarios y tareas. - vCard, archivos con la extensión
.vcf, para contactos. Existen dos versiones que puede encontrar: 3.0 (RFC 2426) y 4.0 (RFC 6350).
Son archivos de texto normales. Puede abrirlos en un editor de texto, y precisamente eso es lo que va a hacer en esta lección. Quien sabe lo que contienen, también ve lo que falta.
A menudo hay un camino más sencillo que exportar: muchos servicios nuevos disponen de una herramienta de migración que, con su autorización, obtiene directamente de Google o Microsoft sus calendarios y contactos. Esto es más rápido y con menos errores. Aun así, una exportación propia es recomendable: como control (¿cuántas citas y contactos tenía?), como copia de seguridad antes de dar de baja el servicio antiguo, y como alternativa si su administrador no permite usar la herramienta de migración.
Así es un archivo de calendario
Una exportación del calendario de Bakkerij De Korrel empieza así:
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Google Inc//Google Calendar 70.9054//EN
BEGIN:VTIMEZONE
TZID:Europe/Amsterdam
...
END:VTIMEZONE
BEGIN:VEVENT
UID:3f1a9c2e7b@google.com
DTSTART;TZID=Europe/Amsterdam:20261110T060000
DTEND;TZID=Europe/Amsterdam:20261110T070000
RRULE:FREQ=WEEKLY;BYDAY=TU
EXDATE;TZID=Europe/Amsterdam:20261229T060000
SUMMARY:Levering meel
ORGANIZER:mailto:anne@example.com
ATTENDEE;CN=Groothandel:mailto:verkoop@example.net
BEGIN:VALARM
TRIGGER:-PT30M
ACTION:DISPLAY
END:VALARM
END:VEVENT
END:VCALENDARLo que ve:
| Línea | Significado | Dónde puede fallar |
|---|---|---|
BEGIN:VCALENDAR y VERSION:2.0 | esto es un archivo iCalendar | si falta, la importación se rechaza |
BEGIN:VEVENT ... END:VEVENT | una cita | un END ausente hace ilegible el resto |
UID | el identificador fijo de la cita | sin UID el servidor no puede detectar duplicados |
DTSTART;TZID=... | hora de inicio en una zona horaria | vea zonas horarias más abajo |
RRULE | regla de repetición: cada martes | una regla no válida da una sola cita en lugar de una serie |
EXDATE | excepción: este martes no | |
ORGANIZER, ATTENDEE | quién invitó y quién está invitado | vea invitaciones más abajo |
VALARM | recordatorio, 30 minutos antes | no todos los servicios conservan los recordatorios |
Zonas horarias
Una hora con TZID=Europe/Amsterdam significa: las 6 de la mañana en Ámsterdam, también tras el cambio al horario de verano. Por ello el archivo debe contener un bloque VTIMEZONE que describa esa zona horaria. Las exportaciones de Outlook suelen usar nombres de Windows como W. Europe Standard Time. Esto funciona bien siempre que se incluya el bloque VTIMEZONE. Si falta, el servicio nuevo tiene que adivinar, y las citas aparecerán desplazadas una hora. Una hora que termina en Z (20261110T050000Z) está en UTC y es siempre inequívoca. Una hora sin zona horaria y sin Z se llama hora "flotante": se aplica en la zona horaria de quien la consulta.
Las citas de día completo figuran como fecha sin hora: DTSTART;VALUE=DATE:20261224.
Invitaciones
Una cita que usted organizó figura en el archivo con usted como ORGANIZER. Tras la importación aparecerá en su nuevo calendario, pero los participantes seguirán teniéndola en su propio calendario como invitación de su dirección antigua, con un UID del servicio anterior. Si modifica la cita más adelante, recibirán una nueva invitación. En reuniones periódicas con personas externas puede ser más limpio volver a invitarlas después del cambio. Las citas para las que usted ha sido invitado se trasladan como una cita normal; las respuestas al organizador se envían por correo.
Exportar desde Google
- Calendario: en Google Calendar, en Ajustes, en el apartado Importar y exportar, el botón Exportar. Obtendrá un archivo zip con un archivo ics por cada calendario del que sea propietario. Los calendarios que otras personas comparten con usted no están incluidos; esos los exporta el propietario, o usted los exporta individualmente desde los ajustes de ese calendario si está permitido.
- Contactos: en Google Contactos seleccione los contactos (o todos), elija Exportar y luego el formato vCard. Google también ofrece "Google CSV" y "Outlook CSV"; elija vCard, ya que conserva la estructura (varios números de teléfono, direcciones, foto).
- Todo de una vez: Google Takeout (takeout.google.com) entrega el calendario como ics, los contactos como vcf (o csv) y Gmail como mbox, en archivos zip. Práctico como copia de seguridad de toda la cuenta.
Los nombres de los menús cambian de vez en cuando; si tiene dudas, busque en la ayuda de Google "exportar calendario".
Exportar desde Microsoft
- Calendario: en el Outlook clásico para Windows puede guardar un calendario como archivo iCalendar (Guardar como, con elección del periodo y "todos los detalles"). Elija un periodo que se extienda suficientemente hacia atrás y hacia adelante, y elija todos los detalles, de lo contrario solo exportará libre/ocupado. En Outlook en la web puede publicar un calendario como enlace ICS y descargar el archivo mediante ese enlace; desactive la publicación después.
- Contactos: Outlook en la web exporta los contactos como csv, no como vCard. El Outlook clásico también exporta en bloque a csv; vCard solo está disponible contacto por contacto. Muchos servicios CardDAV no pueden importar un archivo csv directamente. Dos alternativas: usar la herramienta de migración de su nuevo servicio (que obtiene los contactos directamente), o importar el csv en una libreta de direcciones de Thunderbird y exportarla allí como vCard.
- Calendarios compartidos y de sala son calendarios de la organización. Esos los exporta el administrador, o se vuelven a configurar en el nuevo servicio.
Qué no se traslada o se traslada de forma distinta al exportar
| Elemento | Qué ocurre |
|---|---|
| Archivos adjuntos en citas | normalmente no se trasladan; solo un enlace, o nada |
| Colores y categorías | a veces como CATEGORIES, a menudo no |
| Recordatorios | a veces, según el servicio |
| Enlaces de videoconferencia (Teams, Meet) | permanecen como texto en la cita, pero dejan de funcionar tras la baja |
| Grupos o etiquetas de contactos | no siempre; compruébelo tras la importación |
| Fotos de contacto | se incluyen en vCard, pero hacen el archivo más grande |
Contar antes de seguir
Antes de la exportación, anote cuántos contactos tiene y, para algunos calendarios, cuántas citas hay en un periodo fijo (por ejemplo, noviembre). Tras la importación vuelva a contar. Es la forma más rápida de detectar si falta algo. En el ejercicio de esta lección hará que el programa cuente y compruebe sus archivos.
En la práctica: así se ve con un proveedor
En un Nextcloud de WebOké hay dos herramientas de migración que obtienen los datos directamente: la WebOké Import Tool para Google (Drive, Fotos, Agenda y Contactos) y Migración de datos para OneDrive y Microsoft 365, con la que también importa contactos y calendarios desde su cuenta de Microsoft. Si su calendario procede de otro sitio, importará los archivos ics y vCard usted mismo (lección 5.3). Nextcloud lee vCard 3.0 y 4.0. En otros servicios europeos existen herramientas de importación similares o un botón de importar en el calendario y la libreta de direcciones; los formatos de archivo son los mismos en todas partes.
Resumen
- Los calendarios se trasladan como ics (iCalendar), los contactos como vcf (vCard 3.0 o 4.0); son archivos de texto legibles.
- Una herramienta de migración que obtiene los datos directamente suele ser más sencilla, pero haga también su propia exportación como control y copia de seguridad.
- En un archivo ics, preste atención a UID, RRULE y las zonas horarias con un bloque VTIMEZONE; sin eso, las citas se desplazan.
- Outlook en la web solo exporta los contactos como csv; use una herramienta de migración o convierta el csv a vCard.
- Cuente de antemano los contactos y las citas, para poder comprobar después de la importación si falta algo.
Cuestionario
Ejercicio
Ejercicio A5.2: Comprobar su exportación de prueba. Exporte un calendario (ics) y sus contactos (vcf). Primero indique cuántos contactos tiene y cuántas citas espera. Después suba los archivos. El programa comprueba si son válidos, cuenta citas, repeticiones y contactos, busca zonas horarias sin descripción y contactos duplicados, y compara con sus cifras. Los archivos solo se leen y no se conservan.
Ejercicio E5.2: ¿Qué no se migra? Abra su archivo ics en un editor de texto. Busque una cita periódica, una cita con participantes y una cita con un enlace de videoconferencia. Anote, para cada cita, qué debe hacer tras el cambio.
Ejercicio E5.2: ¿Qué no se migra?
Abra su propio archivo ics en un editor de texto.
Sus marcas y notas se quedan solo en este navegador; no las enviamos a ningún sitio. Si ha iniciado sesión, en Mis cursos solo guardamos que ha realizado el ejercicio.
Para seguir leyendo
Los pasos de estos artículos son válidos para los servicios de WebOké; en otros proveedores funciona de forma similar.
- Manual de Nextcloud 13.5: Traspasar calendario y contactos desde Google, iCloud u Outlook (ics y vCard)
- Manual de Nextcloud 13.2: Migrar Google Drive, Fotos, Calendario y Contactos con la herramienta de importación de WebOké
- Manual de Nextcloud 13.4: Trasladar OneDrive con Migración de datos
- Manual de Nextcloud 13.6: De Microsoft 365 a WebOké: archivos, documentos, correo y calendario
- RFC 5545 (iCalendar), RFC 2426 (vCard 3.0), RFC 6350 (vCard 4.0)
- Ayuda de Google Calendar: Exportar eventos; Ayuda de Google Contactos: Exportar contactos; Soporte de Microsoft: Exportar contactos desde Outlook
